package pl.edu.pw.mini.jk.sg.mixeduct.attacker;

import pl.edu.pw.mini.jk.sg.mixeduct.IterationResult;

public interface AttackerWithHistory<M> {
    public AttackerStrategy<M> getInstance();
    public void registerIterationResult(final int iteration, final IterationResult<?, M, ?, ?, ?> iterationResult, final AttackerStrategy<M> trainingAttacker);
}
